HINO Bugs - Bug #1723

[HR-TM to Payroll] ada employee yang mendapatkan meal allowance di tanggal 15 sep tetapi
seharusnya tidak.

10/19/2022 01:31 PM - Muhammad Bintar

Status: Closed Start date: 10/19/2022
Priority: Immediate Due date: 10/20/2022
Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

dear tim developer , mohon support nya untuk fixing pada tm to payroll dimana jika ada attendance yang tidak termapping di
parameter TTP_HINO_ATTTYPE tidak mendapatkan meal allowance. karena sekarang ini jika ada attendance type 2000 maka dia
terhitung meal allowance, padahal tidak mendapatkan meal allowance.

MINOVAIS-SERVE...0.PCMEPGENPARAM -+ < WEITN(WLY SRS a0 s W [ TN 2 | i e 5QLQuery1.sql - re...HINO_Prod (sa (62))*
Column Alias Table Outp... SortType Sert Order Filter Or. Qr.. Qr.. 2
er 15, A StartDate PCMEPGE...
EndDate PCMEPGE...
8 Parameter PCMEPGE... | LIKE %hino%
Sequence DCMEPGE..
Module PCMEPGE...
Operatorl PCMEPGE... .
SELECT - TOIS (200) StartDate, EndDateH, ;-a‘r—a;nﬂe—ter, Seq;nce, Module, Operatorl, Valuel, OperatorZ, Value2, Notes, CreateBy, CreateDate, ChangeBy, ChangeDate
FROM PCMEPGEMNPARAM
WHERE (Parameter LIKE '%hino%')|
StartDate EndDate Parameter Sequence Module Operatorl Valuel Operator2 2
2015010 09901231 TIP_HINO_ATTDTYPE 1 MNULL = 1000 MNULL
» 20150101 99991231 TIP_HINO_ATTDTYPE_TRAMNS 1 MNULL = 1000,1100,3000  MULL
20150101 99991231 TIP_HINO_ATTDTYPE_WIFI 1 NULL = 1000,1200 NULL
2015010 99991231 TTP_HINO_RAMGE_PAYGRADE 1 NULL = 01,02,05,04,05,1... NULL
# NULL NULL MNULL MNULL NULL NULL NULL MNULL v
L4 >
MinovakSs Menu Employee Area: Payroll Area:

¥ = My Workplace X
Employee Office: Payroll Class:
» [0 My Report

- B> Request Employee Type: Payroll Grade:

» [ HR Administration Employee Sub Type: Work Schedule Type:

~ [= Time Management
Employee ID 00000312
[l Attendance From:

Employee ID
[ Leave Ta:p v 00000312

[ Overtime

» 3 Travel Managem...
Result
{1 Forwarding Task

1 Inbox e Management Type  Attendance Work Days(... Meal Allowance (... Meal Allowance (... Trasport Allowance (N) | Trasport Allowance (.. = WIFl Allowance (A)  WIFI Allowance (N)

] Outbox 20 420000 19 399000 0 0

£ orafe seharusnnya 19 dan balance dengan transport allowance
11 Archive
» [0 Business Intelligence

~ = Human Resource

» [ HR Administration

VEBE|TFES|ESEa| =

MINCVAIS-SERVE...0.PCMEPGENPARAM

Sort Type Sort Order Filter Or... Or... Or...

Column Alias Table Outp...
Eerver 15. A StartDate PHRPADOTS LIKE '%:2022...
EndDate PHRPADOTS
> EmployeelD PHRPADOTS
StartTime PHRPADO1S
EndTime PHRPADOTS
AttendanceTy... PHRPADODTS
Motes PHRPADOTS
CreataRe DHRDAMNMD =
StartDate EndDate EmployeelD StartTime EndTime AttendanceType Motes CreateBy CreateDate
20220901 20220901 00000312 0823 1736 1100 FINGER 20220902010504
20220902 20220902 00000312 0816 1737 1100 FINGER 20220003010504
20220903 20220903 00000312 0825 1732 1100 FINGER 20220906010504
20220906 20220906 00000312 0302 1736 1100 FINGER 20220007010505
20220007 20220007 00000312 0825 1730 1100 FINGER 20220903010504
20220908 20220908 00000312 0318 1731 1100 FINGER 20220909010504
20220909 20220909 00000312 0817 1732 1100 FINGER 20220910010504
20220912 20220912 00000312 0850 1730 1100 FINGER 20220913010504
20220913 20220913 00000312 0755 1730 1100 FINGER 20220914010504
20220014 20220014 00000312 0354 1732 1100 / FINGER 20220915010503
» 20220915 20220915 00000312 0829 1731 I participate in Q... NULL NULL
20220916 20220916 00000312 0842 1732 1100 FINGER 20220917010504
20220919 20220919 00000312 0817 1737 1100 FINGER 20220920010504
20220920 20220920 00000312 0808 1731 1100 FINGER 20220921010504
remote.minovais.com:61120
username woty
database sql server 2019
hino pro agustus 2022

History

#1 - 10/19/2022 01:35 PM - Kezia Pawitra Yulianti
- Due date changed from 10/28/2022 to 10/20/2022
- Status changed from New to Assigned

- Priority changed from Normal to Immediate

#2 - 10/20/2022 04:41 PM - Tri Rizqiaty
- File MinovaES.MDToPayroll_Hinolmplementation.dll added
- Status changed from Assigned to Developing

fixing :

Update folder API1\bin & API2\bin : MinovaES.MDToPayroll_Hinolmplementation.dll

Notes : kondisi timestart & timeend tidak boleh kosong dicomment dulu

#3 - 10/20/2022 04:44 PM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizgiaty to Muhammad Bintar

#4 - 10/21/2024 10:39 AM - Muhammad Bintar
- Status changed from QA Test to Closed
